%li{ id: dom_id(note), class: dom_class(note), data: { discussion: note.discussion_id } }
  .note-header
    .note-actions
      = link_to "##{dom_id(note)}", name: dom_id(note) do
        %i.icon-link
        = t("projects_section.notes.link_here")
      &nbsp;
      - if(note.author_id == current_user.try(:id)) || can?(current_user, :admin_note, @project)
        = link_to "#", title: t("projects_section.notes.edit_comment"), class: "js-note-edit" do
          %i.icon-edit
          = t("projects_section.notes.edit")
        &nbsp;
        = link_to project_note_path(@project, note), title: t("projects_section.notes.remove_comment"), method: :delete, data: { confirm: t("projects_section.notes.are_you_sure_you_want_to_remove_this_comment") }, remote: true, class: "danger js-note-delete" do
          %i.icon-trash.cred
          = t("projects_section.notes.remove")
    = image_tag avatar_icon(note.author_email), class: "avatar s32"
    = link_to_member(@project, note.author, avatar: false)
    %span.note-last-update
      = note_timestamp(note)

    - if note.upvote?
      %span.vote.upvote.label.label-success
        %i.icon-thumbs-up
        \+1
    - if note.downvote?
      %span.vote.downvote.label.label-danger
        %i.icon-thumbs-down
        \-1


  .note-body
    .note-text
      = preserve do
        = markdown(note.note, {no_header_anchors: true})

    .note-edit-form
      = form_for note, url: project_note_path(@project, note), method: :put, remote: true, authenticity_token: true do |f|
        = f.text_area :note, class: 'note_text js-note-text js-gfm-input turn-on'

        .form-actions.clearfix
          = f.submit t("projects_section.notes.save_changes"), class: "btn btn-primary btn-save"

          .note-form-option
            %a.choose-btn.btn.btn-small.js-choose-note-attachment-button
              %i.icon-paper-clip
              %span= t("projects_section.notes.choose_file")
            &nbsp;
            %span.file_name.js-attachment-filename= t("projects_section.notes.file_name")
            = f.file_field :attachment, class: "js-note-attachment-input hidden"

          = link_to  t("projects_section.notes.cancel"), "#", class: "btn btn-cancel note-edit-cancel"


  - if note.attachment.url
    .note-attachment
      - if note.attachment.image?
        = link_to note.attachment.secure_url, target: '_blank' do
          = image_tag note.attachment.secure_url, class: 'note-image-attach'
      .attachment.pull-right
        = link_to note.attachment.secure_url, target: "_blank" do
          %i.icon-paper-clip
          = note.attachment_identifier
          = link_to delete_attachment_project_note_path(@project, note),
            title: t("projects_section.notes.delete_attachment"), method: :delete, remote: true, data: { confirm: t("projects_section.notes.are_you_sure_you_want_to_remove_the_attachment") }, class: "danger js-note-attachment-delete" do
            %i.icon-trash.cred
  .clear
